/***********************************************************************
*                                                                      *
* (C) 2007, Frank Lemke, Computer Architecture Group,                  *
* University of Mannheim, Germany                                      *
*                                                                      *
* This program is free software; you can redistribute it and/or modify *
* it under the terms of the GNU General Public License as published by *
* the Free Software Foundation; either version 2 of the License, or    *
* (at your option) any later version.                                  *
*                                                                      *
* This program is distributed in the hope that it will be useful,      *
* but WITHOUT ANY WARRANTY; without even the implied warranty of       *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
* GNU General Public License for more details.                         *
*                                                                      *
* You should have received a copy of the GNU General Public License    *
* along with this program; if not, write to the Free Software          *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 *
* USA                                                                  *
*                                                                      *
* For informations regarding this file contact                         *
*			      office@mufasa.informatik.uni-mannheim.de *
*                                                                      *
***********************************************************************/

#include <QtGui/QMenu>
#include <QtGui/QContextMenuEvent>

#include "inputtreewidget.h"

InputTreeWidget::InputTreeWidget(QWidget* w) : QTreeWidget(w) {
  createActions();
}

void InputTreeWidget::contextMenuEvent(QContextMenuEvent* e) {
   QMenu contextMenu(this);
   if(this->currentItem()) {
     contextMenu.addAction(rename);
     contextMenu.addAction(inputup);
     contextMenu.addAction(inputdown);
     contextMenu.addAction(deleteselectedinput);
     contextMenu.addSeparator();
   }
   contextMenu.addAction(newinput);
   contextMenu.addAction(deleteinput);
   contextMenu.exec(e->globalPos());
   
}

void InputTreeWidget::createActions(){
 rename = new QAction(this);
 rename->setObjectName(QString::fromUtf8("rename"));
 rename->setEnabled(true);    
 rename->setText(QApplication::translate("InputTreeWidget", "Rename", 0, QApplication::UnicodeUTF8));
 newinput = new QAction(this);
 newinput->setObjectName(QString::fromUtf8("newInput"));
 newinput->setEnabled(true);    
 newinput->setText(QApplication::translate("InputTreeWidget", "New Input", 0, QApplication::UnicodeUTF8));
 deleteinput = new QAction(this);
 deleteinput->setObjectName(QString::fromUtf8("deleteInput"));
 deleteinput->setEnabled(true);    
 deleteinput->setText(QApplication::translate("InputTreeWidget", "Delete last Input", 0, QApplication::UnicodeUTF8)); 
 deleteselectedinput = new QAction(this);
 deleteselectedinput->setObjectName(QString::fromUtf8("deleteSelectedInput"));
 deleteselectedinput->setEnabled(true);    
 deleteselectedinput->setText(QApplication::translate("InputTreeWidget", "Delete selected Input", 0, QApplication::UnicodeUTF8));
 inputup = new QAction(this);
 inputup->setObjectName(QString::fromUtf8("moveupInput"));
 inputup->setEnabled(true);    
 inputup->setText(QApplication::translate("InputTreeWidget", "Move up", 0, QApplication::UnicodeUTF8));
 inputdown = new QAction(this);
 inputdown->setObjectName(QString::fromUtf8("movedownInput"));
 inputdown->setEnabled(true);    
 inputdown->setText(QApplication::translate("InputTreeWidget", "Move down", 0, QApplication::UnicodeUTF8));
}
