/***********************************************************************
*                                                                      *
* (C) 2007, Frank Lemke, Computer Architecture Group,                  *
* University of Mannheim, Germany                                      *
*                                                                      *
* This program is free software; you can redistribute it and/or modify *
* it under the terms of the GNU General Public License as published by *
* the Free Software Foundation; either version 2 of the License, or    *
* (at your option) any later version.                                  *
*                                                                      *
* This program is distributed in the hope that it will be useful,      *
* but WITHOUT ANY WARRANTY; without even the implied warranty of       *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
* GNU General Public License for more details.                         *
*                                                                      *
* You should have received a copy of the GNU General Public License    *
* along with this program; if not, write to the Free Software          *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 *
* USA                                                                  *
*                                                                      *
* For informations regarding this file contact                         *
*			      office@mufasa.informatik.uni-mannheim.de *
*                                                                      *
***********************************************************************/

#include "preferencesdialog.h"

#include "mainguiwindow.h"

PreferencesDialog::PreferencesDialog(QWidget* w) : QDialog(w){
  qw = w;
  setupUi(this);
  QString qs;
  qs = QString::number((dynamic_cast<MainguiWindow*>(qw))->getMaxUndo(),10);
  undoline->setText(qs);
  undoline->setAlignment(Qt::AlignRight);
  bgcolorline->setText((dynamic_cast<MainguiWindow*>(qw))->bgColor().name());
  bgcolorline->setAlignment(Qt::AlignRight);
  statecolorline->setText((dynamic_cast<MainguiWindow*>(qw))->stateColor().name());
  statecolorline->setAlignment(Qt::AlignRight);
} 



void PreferencesDialog::accept() {
  QString qs;
  qs = undoline->text();
  (dynamic_cast<MainguiWindow*>(qw))->maxUndo(qs.toInt()); 
  qs = bgcolorline->text();
  if(QColor(qs).isValid())
    (dynamic_cast<MainguiWindow*>(qw))->setBgColor(qs); 
  qs = statecolorline->text();
  if(QColor(qs).isValid())
    (dynamic_cast<MainguiWindow*>(qw))->setStateColor(qs);
  this->done(0);
}
